import { getCurrentInstance, h } from "vue";
const RouterView = {
    props: {
        id: {
            type: String,
            default: "default",
        },
        defaultRoute: {
            type: String,
            default: "/",
        },
        defaultRouteProps: {
            type: Object,
            required: false,
        },
    },
    setup(props) {
        var _a, _b, _c;
        const globalProperties = (_c = (_b = (_a = getCurrentInstance()) === null || _a === void 0 ? void 0 : _a.appContext) === null || _b === void 0 ? void 0 : _b.config) === null || _c === void 0 ? void 0 : _c.globalProperties;
        const defaultRoute = globalProperties.$router.getRoute(props.defaultRoute);
        if (!defaultRoute) {
            throw new Error(`No registered route at path "${props.defaultRoute}" found on current router`);
        }
        globalProperties.$router.setCurrentRoute(defaultRoute);
        return () => {
            return h("Frame", {
                id: props.id,
            }, [h(defaultRoute.component, { props: props.defaultRouteProps })]);
        };
    },
};
export default RouterView;
//# sourceMappingURL=router-view.js.map