import { Frame } from "@nativescript/core/ui/frame";
import { RouterService } from "./router-service";
const routers = [];
export const createRouter = (vueRouterOptions, routerOptions = {}) => {
    const vm = routerOptions.vm;
    const router = new RouterService(vueRouterOptions, Object.assign({ frame: Frame, vm: vm }, routerOptions));
    if (vm) {
        router.install(vm);
    }
    routers.push(router);
    return router;
};
export const useRouter = (routerIndex = 0) => {
    return routers[routerIndex];
};
export const useRoute = (routerIndex = 0) => {
    return routers[routerIndex].getCurrentRoute();
};
export default {
    createRouter,
};
//# sourceMappingURL=vue-router.common.js.map